台风
数据限制
目前只支持中国近海台风
访问限制
本部分 API 属于增值服务,仅提供给企业套餐开发者,如需采购请联系彩云商务
请求
http
GET https://singer.caiyunhub.com/v3/typhoon/realtime查询参数
| 参数 | 必填 | 默认值 | 取值范围 | 说明 |
|---|---|---|---|---|
token | 是 | — | — | API 认证凭证,详见 认证与鉴权 |
请求示例
bash
curl "https://singer.caiyunhub.com/v3/typhoon/realtime?token={token}"响应示例
json
{
"typhoons": [
{
"id": "202208",
"name": "米雷",
"enname": "Meari",
"active": true,
"history": [
{
"time": 1660240800,
"longitude": 135.9,
"latitude": 29.5,
"radius7": [200, 200, 130, 150],
"radius10": [],
"radius12": [],
"moveSpeed": 19,
"moveDirection": "北",
"strong": 2,
"pressure": 1000,
"speed": 18,
"power": 8
},
// ...
{
"time": 1660284000,
"longitude": 136.4,
"latitude": 30.7,
"radius7": [200, 200, 120, 150],
"radius10": [],
"radius12": [],
"moveSpeed": 22,
"moveDirection": "北",
"strong": 2,
"pressure": 1000,
"speed": 18,
"power": 8,
"jl": " “米雷”将以每小时20公里左右的速度向偏北方向移动,强度有所增强 (下次更新时间为12日17时30分)",
"ckposition": " 位于西北太平洋洋面,距离日本东京南偏西方向约630公里"
}
],
"forecast": [
{
"source": "中国",
"points": [
{
"time": 1660284000,
"longitude": 136.4,
"latitude": 30.7,
"radius7": [],
"radius10": [],
"radius12": [],
"strong": 2,
"pressure": 1000,
"speed": 18,
"power": 8
},
// ...
{
"time": 1660456800,
"longitude": 147.4,
"latitude": 40.9,
"radius7": [],
"radius10": [],
"radius12": [],
"strong": 2,
"pressure": 990,
"speed": 20,
"power": 8
}
]
}
// ...
],
"name_info": {
"country_region": "朝鲜",
"meaning": "回波"
}
}
]
}响应字段
TyphoonInfo
台风返回结构
| JSONPath | 类型 | 说明 |
|---|---|---|
$.typhoons | array<TyphoonInfo> | 台风列表 |
$.typhoons[].id | string | 编号 |
$.typhoons[].name | string | 名称 |
$.typhoons[].enname | string | 英文名 |
$.typhoons[].active | boolean | 是否活跃 |
$.typhoons[].history | array<TyphoonInfo.PointInfo> | 历史路径 |
$.typhoons[].forecast | array<TyphoonInfo.ForecastInfo> | 预报路径 |
$.typhoons[].land | array<TyphoonInfo.LandInfo> | 登陆信息 |
$.typhoons[].name_info | TyphoonInfo.NameInfo | 名称信息 |
TyphoonInfo.ForecastInfo
| JSONPath | 类型 | 说明 |
|---|---|---|
$.typhoons[].forecast[].source | string | 预报的数据来源国家或地区 |
$.typhoons[].forecast[].points | array<TyphoonInfo.PointInfo> | 预报路径点 |
TyphoonInfo.LandInfo
| JSONPath | 类型 | 说明 |
|---|---|---|
$.typhoons[].land[].time | number | 登陆时间戳 |
$.typhoons[].land[].longitude | number | 经度 |
$.typhoons[].land[].latitude | number | 纬度 |
$.typhoons[].land[].strong | TropicalCycloneLevels | 气旋、飓风或台风等级 |
$.typhoons[].land[].info | string | 登陆描述 |
$.typhoons[].land[].landaddress | string | 登陆地点 |
TyphoonInfo.NameInfo
| JSONPath | 类型 | 说明 |
|---|---|---|
$.typhoons[].name_info.country_region | string | 提供该名称的国家或地区 |
$.typhoons[].name_info.meaning | string | 名称含义 |
TyphoonInfo.PointInfo
以下 JSONPath 中的 points 也适用于 history 数组中的路径点。
| JSONPath | 类型 | 说明 |
|---|---|---|
$.typhoons[].forecast[].points[].time | number | Unix 时间戳 |
$.typhoons[].forecast[].points[].longitude | number | 经度 |
$.typhoons[].forecast[].points[].latitude | number | 纬度 |
$.typhoons[].forecast[].points[].radius7 | array<number> | 7 级风圈半径,单位 km,顺序为东北、东南、西北、西南 |
$.typhoons[].forecast[].points[].radius10 | array<number> | 10 级风圈半径,单位 km,顺序为东北、东南、西北、西南 |
$.typhoons[].forecast[].points[].radius12 | array<number> | 12 级风圈半径,单位 km,顺序为东北、东南、西北、西南 |
$.typhoons[].forecast[].points[].moveSpeed | number | 移动速度,km/h |
$.typhoons[].forecast[].points[].moveDirection | string | 移动方向 |
$.typhoons[].forecast[].points[].strong | TropicalCycloneLevels | 气旋、飓风或台风等级 |
$.typhoons[].forecast[].points[].pressure | number | 中心气压,hPa |
$.typhoons[].forecast[].points[].speed | number | 风速,m/s |
$.typhoons[].forecast[].points[].power | number | 风力等级 |
可选字段
PointInfo 可能包含可选字段 jl(路径描述文本)、ckposition(位置描述文本),仅部分数据包含,使用时请按可选字段处理。
TropicalCycloneLevels
TropicalCyclone 热带气旋
不同地方气旋的名字不一样,中国近海是台风(typhoon),美国是飓风(hurricane)
| Name | Number | Description | Wind Speed Range (m/s) | Wind Force Level |
|---|---|---|---|---|
| UNKNOWN_CYCLONE_LEVEL | 0 | |||
| DEPRESSION | 1 | 热带低压 | 10.8~17.1 | 6~7级 |
| STROM | 2 | 热带风暴 | 17.2~24.4 | 8~9级 |
| SEVERE_STORM | 3 | 强热带风暴 | 24.5~32.6 | 10~11级 |
| TYPHOON | 4 | 台风 | 32.7~41.4 | 12~13级 |
| SEVERE_TYPHOON | 5 | 强台风 | 41.5~50.9 | 14~15级 |
| SUPER_SEVERE_TYPHOON | 6 | 超强台风 | ≥51.0 | 16级或以上 |
台风风圈等级对比
| 风圈等级 | 主要意义 | 典型范围 | 出现条件 |
|---|---|---|---|
| 7级风圈 | 台风外围影响范围, 航运/防风预警常用 | 100-500 km | 热带风暴级及以上 |
| 10级风圈 | 强风区范围, 破坏力较大 | 50-200 km | 强热带风暴及以上 |
| 12级风圈 | 台风核心暴风圈, 灾害最重 | 30-100 km | 台风级及以上 |
- 低等级系统 (热带低压) → 没有风圈或没有7级风圈
- 热带风暴 → 基本都有7级风圈, 可能没有10级风圈
- 强热带风暴 → 可能有10级风圈, 但未必有12级
- 台风/强台风/超强台风 → 通常都有 7/10/12级风圈, 且半径范围随强度增强而扩大